> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Trello board

> Set Trello board for a workspace



## OpenAPI

````yaml post /workspace/trello/{workspaceId}/boards
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/trello/{workspaceId}/boards:
    post:
      tags:
        - Workspace
      description: Set Trello board for a workspace
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                board:
                  type: string
              required:
                - board
        required: true
      responses:
        '200':
          description: Default Response
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````